Python 2.7 for Maverick

Robbie Williamson robbie at ubuntu.com
Fri Jun 18 17:13:15 BST 2010


Let's move this over to ubuntu-devel. ;)

On Fri, 2010-06-18 at 10:56 -0400, Barry Warsaw wrote: 
> Sorry about that blank message, I'm not sure what happened.  I meant to say:
> 
> On Jun 17, 2010, at 06:11 PM, Barry Warsaw wrote:
> 
> >That makes sense.  Enabling Python 2.7 now, but not making it the default
> >allows us to build out the stack, but also iron out any problems in a PPA so
> >that as soon as N opens, we can just flip the switch.
> 
> One other thing we should decide: which Python 3 version should we include in
> Maverick?
> 
> At UDS, I had hoped to go with 3.2, but I now think that's too ambitious.
> First, building out the Python 2.7 stack is taking more work than I thought
> and second, I'm not sure it's worth going through the whole pre-approval for
> SRUs to get us from what will be 3.2beta at the time of Maverick's feature
> freeze, to 3.2 final after its release.  Also, given how little Python 3 is
> used in production these days, I'm not sure there's a lot of benefit to being
> so aggressive.
> 
> I think we should stick with Python 3.1.x for Maverick and switch to 3.2 for
> N.  Any objections?
> 
> -Barry

                                

-- 
Robbie Williamson                                     robbie at ubuntu.com
Ubuntu                                         robbiew[irc.freenode.net]                               

"You can't be lucky all the time, but you can be smart everyday" 
 -Mos Def

"Arrogance is thinking you are better than everyone else, while
Confidence is knowing no one else is better than you." -Me ;)




More information about the ubuntu-devel mailing list